import { Formats } from './compiler';
import parser, { MessageFormatPattern } from 'intl-messageformat-parser';
export interface LocaleData {
    locale: string;
    parentLocale?: string;
    [k: string]: any;
}
interface IntlMessageFormat {
    format(values?: Record<string, string | number | boolean | null | undefined>): string;
    resolvedOptions(): {
        locale: string;
    };
}
declare let IntlMessageFormat: {
    new (message: string | MessageFormatPattern, locales?: string | string[], overrideFormats?: Partial<Formats>): IntlMessageFormat;
    (message: string | MessageFormatPattern, locales?: string | string[], overrideFormats?: Partial<Formats>): IntlMessageFormat;
    defaultLocale: string;
    formats: Formats;
    __parse: typeof parser['parse'];
};
declare const MessageFormat: typeof IntlMessageFormat;
export default MessageFormat;
